Bug 3708 - Add another customizable region to the OPAC: right sidebar
Summary: Add another customizable region to the OPAC: right sidebar
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-13 03:38 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Diagram of the proposed change (13.49 KB, image/png)
2009-10-13 15:38 UTC, Chris Cormack
Details
Bug 3708 - Add another customizable region to the OPAC: right sidebar (7.21 KB, patch)
2012-05-29 20:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 3708 - Add another customizable region to the OPAC: right sidebar (7.29 KB, patch)
2012-06-01 14:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Signoff Patch (7.35 KB, patch)
2012-06-09 09:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 3708 - Add another customizable region to the OPAC: right sidebar nav (7.22 KB, patch)
2012-06-11 15:52 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 3708 - Add another customizable region to the OPAC: right sidebar nav (7.24 KB, patch)
2012-06-11 16:24 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:14:02 UTC


---- Reported by oleonard@myacpl.org 2009-10-13 15:38:57 ----

Created an attachment
Diagram of the proposed change

Currently the area taken up by the login form on the OPAC home page cannot be customized in any way (except via CSS). I propose we add another region to the OPAC main page similar to OpacMainUserBlock: a region which will only appear on the home page. The contents of the region would appear below the login form if there were no logged-in user. If the user is logged in, the right sidebar region would move up to fill the space vacated by the login form.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:14 UTC  ---

This bug was previously known as _bug_ 3708 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3708
Imported an attachment (id=1529)

Actual time not defined. Setting to 0.0
CC member biblioteca@casabalthasar.org does not have an account here
The original submitter of attachment 1529 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2012-05-29 20:05:20 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2012-05-30 08:15:51 UTC
Thought I'de use this patch to also test the sandbox's over at biblibre (I used sandbox 9, which doesn't appear to have bug signing off yet)

Comment's about the actual patch.

Seems to work as expected once logged in, however when not logged in the div appear next to, as opposed to underneath the login box as suggested by the diagram. Looks like a minor css change is required.
Comment 3 Owen Leonard 2012-06-01 14:32:22 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2012-06-01 17:42:55 UTC
Tested again using the biblibre sandboxs.. 

All seems to work as expected now giving out good clean markup.

Will try and grab a copy locally to sign-ff on properly.
Comment 5 Martin Renvoize 2012-06-09 09:58:19 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2012-06-09 10:22:44 UTC
Martin, when you sign-off a patch, there's no need to assign the bug to you. The assignee of a bug is/should be the patch writer.
Comment 7 Martin Renvoize 2012-06-09 10:54:51 UTC
Thanks Paul, I'de just misread that checkbox in bugzilla.. oops.
Comment 8 Paul Poulain 2012-06-10 10:24:23 UTC
QA comment:
We already have OpacNav and OpacNavBottom. for consistency, I would like to see this syspref called OpacNavRight, that would be more logical.

I would be highly pleased if you could update your patch in this direction
Comment 9 Owen Leonard 2012-06-11 15:52:58 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2012-06-11 16:24:53 UTC
Created attachment 10236 [details] [review]
[SIGNED-OFF] Bug 3708 - Add another customizable region to the OPAC: right sidebar nav

This patch creates a new system preference, OpacNavRight, in
which the librarian can add HTML which will appear on the OPAC
main page under the login form. If the user is logged in the content
will appear in place of the login form.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Ian Walls 2012-06-15 17:17:38 UTC
Adds a new system preference (OpacNavRight) correctly, and shows it in the place in the diagram where expected.  Strips out some YUI divs that may not be necessary... I differ to Owen on such user interface changes.

Marking Passed QA.
Comment 12 Paul Poulain 2012-06-20 21:13:19 UTC
Path pushed,

I really find the http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=1529 useful, i've sent a mail to nicole to suggest adding it to the documentation